//+------------------------------------------------------------------+
//|                                                 Mirror_Bands.mq4 |
//|                           Copyright  2015 Kosta                 |
//|                                            mt4.kosta@gmail.com   |
//+------------------------------------------------------------------+
#property  copyright "Copyright  2015 Kosta"
#property  link      "mt4.kosta@gmail.com"

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1  Red
#property indicator_color2  Blue
#property  indicator_width1 1

//---- indicator parameters
extern int    BandsPeriod=24;
extern int    BandsPeriod2=1;
extern int    BandsShift=0;
extern int    BandsPeriod3=19;
extern int    BandsPeriod4=1;    
extern int    BandsShift2=0;
double LowerMirror[];
double LowerMirror2[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
{
   SetIndexBuffer(0,LowerMirror);
   SetIndexBuffer(1,LowerMirror2);
   return(0);
  }
//+------------------------------------------------------------------+
//| Bollinger Bands                                                  |
//+------------------------------------------------------------------+
int start()
{
  int counted_bars=IndicatorCounted();
  int i,limit;

   if(counted_bars<0) return(-1);
   if(counted_bars>0) counted_bars--;
         limit = MathMin(Bars-counted_bars,Bars-1);
            
   //
   //
   //
   //
   //
   
   for(i=limit; i>=0; i--) LowerMirror[i] = (iMA(NULL,0,BandsPeriod,BandsShift,MODE_SMA,PRICE_CLOSE,i)-iMA(NULL,0,BandsPeriod2,BandsShift,MODE_SMA,PRICE_CLOSE,i))+iMA(NULL,0,BandsPeriod,BandsShift,MODE_SMA,PRICE_CLOSE,i);
   for(i=limit; i>=0; i--) LowerMirror2[i] = (iMA(NULL,0,BandsPeriod3,BandsShift2,MODE_SMA,PRICE_CLOSE,i)-iMA(NULL,0,BandsPeriod4,BandsShift2,MODE_SMA,PRICE_CLOSE,i))+iMA(NULL,0,BandsPeriod3,BandsShift2,MODE_SMA,PRICE_CLOSE,i);
   return(0);
  }
//+------------------------------------------------------------------+